aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorvg <vgm+dev@devys.org>2019-11-25 07:34:31 +0100
committervg <vgm+dev@devys.org>2019-11-25 07:38:57 +0100
commit176e693e6861a46bb0a3581670380233203d5928 (patch)
tree969ee8275e4017fd559c29d96e9d1a05a2bb2be8
parentafe5995276527606dc5ed731862a0891a9537a19 (diff)
downloadscripts-176e693e6861a46bb0a3581670380233203d5928.tar.gz
scripts-176e693e6861a46bb0a3581670380233203d5928.tar.bz2
scripts-176e693e6861a46bb0a3581670380233203d5928.zip
update git-sync for simple merge cases
Instead of using git merge --no-ff which always ensure no conflict, try to git merge covering simple cases (and automatically resolvable ones) at the cost of a merge commit but abort in case of conflicts needing manuable resolution.
-rwxr-xr-xscripts/git-sync7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/git-sync b/scripts/git-sync
index a9f07ac..aa1facc 100755
--- a/scripts/git-sync
+++ b/scripts/git-sync
@@ -23,5 +23,10 @@ if ! git diff --cached --quiet; then
git commit -m "git-sync on ${HOSTNAME}"
fi
-git merge --ff-only
+#git merge --ff-only
+if ! git merge --quiet --no-edit; then
+ git merge --abort
+ exit 1
+fi
+
git push --quiet